CSFML - C binding of the Simple and Fast Multimedia Library

CSFML
Functions
Listener.h File Reference
`#include <SFML/Audio/Export.h>`
`#include <SFML/System/Vector3.h>`

Go to the source code of this file.

## Functions
CSFML_AUDIO_API void | sfListener_setGlobalVolume (float volume)
| Change the global volume of all the sounds and musics. More...
CSFML_AUDIO_API float | sfListener_getGlobalVolume (void)
| Get the current value of the global volume. More...
CSFML_AUDIO_API void | sfListener_setPosition (sfVector3f position)
| Set the position of the listener in the scene. More...
CSFML_AUDIO_API sfVector3f | sfListener_getPosition ()
| Get the current position of the listener in the scene. More...
CSFML_AUDIO_API void | sfListener_setDirection (sfVector3f direction)
| Set the orientation of the forward vector in the scene. More...
CSFML_AUDIO_API sfVector3f | sfListener_getDirection ()
| Get the current forward vector of the listener in the scene. More...
CSFML_AUDIO_API void | sfListener_setUpVector (sfVector3f upVector)
| Set the upward vector of the listener in the scene. More...
CSFML_AUDIO_API sfVector3f | sfListener_getUpVector ()
| Get the current upward vector of the listener in the scene. More...

## Function Documentation

## ◆ sfListener_getDirection()

CSFML_AUDIO_API sfVector3f sfListener_getDirection | ( |  | ) |

Get the current forward vector of the listener in the scene.

Returns
  Listener's forward vector (not normalized)

## ◆ sfListener_getGlobalVolume()

CSFML_AUDIO_API float sfListener_getGlobalVolume | ( | void |  | ) |

Get the current value of the global volume.

Returns
  Current global volume, in the range [0, 100]

## ◆ sfListener_getPosition()

CSFML_AUDIO_API sfVector3f sfListener_getPosition | ( |  | ) |

Get the current position of the listener in the scene.

Returns
  The listener's position

## ◆ sfListener_getUpVector()

CSFML_AUDIO_API sfVector3f sfListener_getUpVector | ( |  | ) |

Get the current upward vector of the listener in the scene.

Returns
  Listener's upward vector (not normalized)

## ◆ sfListener_setDirection()

CSFML_AUDIO_API void sfListener_setDirection | ( | sfVector3f | direction | ) |

Set the orientation of the forward vector in the scene.

The direction (also called "at vector") is the vector pointing forward from the listener's perspective. Together with the up vector, it defines the 3D orientation of the listener in the scene. The direction vector doesn't have to be normalized. The default listener's direction is (0, 0, -1).

Parameters

  direction | New listener's direction

## ◆ sfListener_setGlobalVolume()

CSFML_AUDIO_API void sfListener_setGlobalVolume | ( | float | volume | ) |

Change the global volume of all the sounds and musics.

The volume is a number between 0 and 100; it is combined with the individual volume of each sound / music. The default value for the volume is 100 (maximum).

Parameters

  volume | New global volume, in the range [0, 100]

## ◆ sfListener_setPosition()

CSFML_AUDIO_API void sfListener_setPosition | ( | sfVector3f | position | ) |

Set the position of the listener in the scene.

The default listener's position is (0, 0, 0).

Parameters

  position | New position of the listener

## ◆ sfListener_setUpVector()

CSFML_AUDIO_API void sfListener_setUpVector | ( | sfVector3f | upVector | ) |

Set the upward vector of the listener in the scene.

The up vector is the vector that points upward from the listener's perspective. Together with the direction, it defines the 3D orientation of the listener in the scene. The up vector doesn't have to be normalized. The default listener's up vector is (0, 1, 0). It is usually not necessary to change it, especially in 2D scenarios.

Parameters

  upVector | New listener's up vector